Get shelf details
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/shelves/{shelf_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/shelves/{shelf_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/shelves/{shelf_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"created_timestamp": 123,
"branch_id": "<string>"
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}シェルフ操作
Get shelf details
Retrieves detailed information about a specific shelf including:
- ID
- Name
- Creation timestamp
- Associated branch ID (if applicable)
- Commit ID
Requirements: Requires READ access to the repository.
Returns:
404 Not Foundif the shelf doesn’t exist or the user doesn’t own it
GET
/
repos
/
{repo_id}
/
shelves
/
{shelf_id}
Get shelf details
Authorizations
OAuth2OAuth2
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Shelf identifier
Required string length:
3 - 128Example:
"dv.shelf.12a37e91-bfc4-4e03-a330-13b5b84ab7cb"

